#ifndef	CSPACE_H
#define CSPACE_H

#include <v_lib.h>
#include "eval.h"
#include "iplmath.h"

#define	CSPACE_RGB	1
#define	CSPACE_HSV	2
#define	CSPACE_CIE	3

void	outputSaveChannels(char *file_name,u32_t orig_cspace,
	matrix_p channels[],eval_state_p state);

matrix_p	inputGetMatrix(eval_state_p state,char *image_name,char *channel_id);

void		inputCollectGarbage(void);

#endif	/* CSPACE_H */

